# Uses of Interface
com.sun.source.tree.AnyPatternTree

Packages that use AnyPatternTreePREVIEW
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of AnyPatternTreePREVIEW in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type AnyPatternTreePREVIEW
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitAnyPattern(AnyPatternTreePREVIEW node, P p)`
Preview.
Visits a `AnyPatternTree` node.

## Uses of AnyPatternTreePREVIEW in com.sun.source.util

Methods in com.sun.source.util with parameters of type AnyPatternTreePREVIEW
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitAnyPattern(AnyPatternTreePREVIEW node, P p)`
Preview.
Visits a `AnyPatternTree` node.
`R`
TreeScanner.`visitAnyPattern(AnyPatternTreePREVIEW node, P p)`
Visits a `AnyPatternTree` node.